<div class="main-panel">
    <div class="content-wrapper mb-5">
        <div class="after-con mob-p0">
            <div class="row">
                <h3 class="pt-2">Mon envoi</h3>


            </div>
            <div class="row">
                <div class="col-lg-12">
                    <ul id="nav-gwbar1" class="nav-gwbar-single-row nav-genz nav-gwbar-white nav-gwbar-scroll nav nav-pills nav-ul" role="tablist">
                        <li class="nav-item">
                            <a class="nav-link nav-a active" data-bs-toggle="pill" href="#home">Tous</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link nav-a" data-bs-toggle="pill" href="#menu1">En cours</a>
                        </li>
                        <!-- <li class="nav-item">
                            <a class="nav-link nav-a" data-bs-toggle="pill" href="#menu2"></a>
                        </li> -->
                    </ul>
                    <!-- Tab panes -->
                </div>
                <div class="col-lg-12">
                    <div class="row ">
                        <div class="col-lg-4 col-md-4 col-sm-12 col-12 ase">
                            <div class="input-group mob-mt-3 position-r r-chr">

                                <input type="text" class="form-control out-0" placeholder="Recherche" [(ngModel)]="searchText">
                                <span class="input-i"><i class="fa-solid fa-magnifying-glass"></i></span>
                            </div>
                        </div>
                        <div class="col-lg-8 col-md-8 col-sm-12 col-12 txt-right ase">

                            <form [formGroup]="filterform" (submit)="filterDate()">
                                <div class="">
                                    <div class="clearfix"></div>
                                    <div class="row">
                                        <div class="col-lg-9 col-md-9 col-sm-9">
                                            <div class="row">
                                                <div class="col-lg-6 col-md-6 col-sm-6 col-6 a-s-e r-chr1">
                                                    <div class="dg">
                                                        <label class="form-label w-100" for="">Date de début: &nbsp;</label>
                                                        <!-- <input type="date" formControlName="start_date" class="form-control"> -->
                                                        <mat-form-field>
                                                            <input matInput [matDatepicker]="dp" placeholder="jj/mm/aaaa" formControlName="start_date">
                                                            <mat-datepicker-toggle matSuffix [for]="dp"></mat-datepicker-toggle>
                                                            <mat-datepicker #dp></mat-datepicker>
                                                        </mat-form-field>
                                                    </div>
                                                </div>
                                                <div class="col-lg-6 col-md-6 col-sm-6 col-6 a-s-e r-chr1">
                                                    <div class="dg">
                                                        <label for="" class="form-label w-100"> Date de fin : &nbsp;</label>
                                                        <!-- <input type="date" formControlName="end_date" class="form-control"> -->
                                                        <mat-form-field>
                                                            <input matInput [matDatepicker]="dp1" placeholder="jj/mm/aaaa" formControlName="end_date">
                                                            <mat-datepicker-toggle matSuffix [for]="dp1"></mat-datepicker-toggle>
                                                            <mat-datepicker #dp1></mat-datepicker>
                                                        </mat-form-field>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-lg-3 col-md-3 col-sm-3 col-12 a-s-e">
                                            <button class="btn btn-back w-100 filter-button filter-button" style="" type="submit">Recherche</button>
                                        </div>
                                    </div>
                                    <div class="clearfix"></div>

                                </div>

                            </form>

                            <!-- <div class="row">
                                <div class="col-lg-4 col-md-4 col-sm-4 col-6 ase" style="position: relative;">
                                  

                                    <label for=""><b>De:</b></label><input type="date" class="form-control out-0"
                                        (input)="start_date=$event.target">

                                </div>
                                <div class="col-lg-4 col-md-4 col-sm-4 col-6 ase">
                                    <label for=""><b>A:</b></label><input type="date" class="form-control out-0"
                                        (input)="end_date=$event.target">
                                </div>
                                <div class="col-lg-4 col-md-4 col-sm-4 col-12 text-center ase">
                                    <button class="btn btn-back w-100 filter-button filter-button"
                                        style="margin-top: 10px !important;"
                                        (click)="filterDate()"><b>Filtre</b></button>
                                </div>
                            </div> -->

                        </div>

                    </div>
                </div>

            </div>
            <div class="row">
                <div class="col-12 grid-margin">
                    <div class="tab-content">
                        <div id="home" class="tab-pane active p-0">
                            <br>
                            <div class="table-responsive br-6 tbl-height">
                                <table class="table table-bordered tbl-sell">
                                    <thead class="th-bg">
                                        <tr>
                                            <th>ID de la commande</th>
                                            <th>Nom</th>
                                            <th>Quantité</th>
                                            <th>Prix</th>
                                            <th>Statut de l'expedition</th>
                                            <th>Statut de la commande</th>
                                            <th>Prêt pour l'enlèvement</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr *ngFor="let d of orders | filter:searchText">
                                            <td width="15%" style="color:hsl(206, 68%, 41%)"><a href="/dashboard/(seller:order_detail)?id={{d._id}}">#{{d.order_id}}</a>
                                            </td>

                                            <td width="25%">
                                                <p *ngFor=" let a of d.sellerproducts"> <img src="{{baseurl}}static/public/{{a.products.product.images[0]}}" alt="pic"> {{a.products.product.title}}

                                                </p>



                                            </td>
                                            <td style="text-align: center;">
                                                <p *ngFor=" let a of d.sellerproducts">
                                                    {{a.products.quantity}}
                                                </p>

                                            </td>


                                            <td style="text-align: center;">{{d.totalPrice | number : '1.2-2'}} CFA</td>
                                            <td style="text-align: center;">
                                                <div class='badge' style="color: orange;" *ngIf="d.sellerproducts[0].products.delivery_status == 0">
                                                   Pour procéder 
                                                </div>
                                                <div class='badge' style="color: #2171ae;" *ngIf="d.sellerproducts[0].products.delivery_status == 1">
                                                    Ramassé
                                                </div>
                                                <div class='badge' style="color: green;" *ngIf="d.sellerproducts[0].products.delivery_status == 3">
                                                   Livraison terminée
                                                </div>
                                                <div class='badge' style="color: red;" *ngIf="d.sellerproducts[0].products.delivery_status == 4">
                                                   Conducteur annulé
                                                </div>
                                            </td>

                                            <td style="text-align: center;">
                                                <div class='badge' style="color: orange;" *ngIf="d.sellerproducts[0].products.status == 0">
                                                   Pour procéder 
                                                </div>

                                                <div class='badge' style="color: green;" *ngIf="d.sellerproducts[0].products.status == 1">
                                                   Terminé
                                                </div>
                                                <div class='badge' style="color: red;" *ngIf="d.sellerproducts[0].products.status == 2">
                                                   Annulé
                                                </div>
                                            </td>
                                            <td style="text-align: center;">
                                                <div *ngFor=" let a of d.sellerproducts">
                                                    <!-- <label class="container-c">One
                                                        <input type="checkbox" checked="checked">
                                                        <span class="checkmark-c"></span>
                                                      </label> -->

                                                    <input type="checkbox" *ngIf="d.sellerproducts[0].products.status != 2" [checked]="a.products.readytopickup" [disabled]="a.products.readytopickup == true" (click)="pickup(a, d._id)">
                                                </div>

                                                <!-- [hidden]="a.products.status == 1 " -->

                                            </td>
                                        </tr>
                                        <tr *ngIf="orders.length == 0">
                                            <td class="no-data" colspan="10">
                                                <i class="fa-regular fa-file"></i>
                                                <p>Aucune commande trouvée</p>
                                            </td>
                                        </tr>
                                        <!-- <tr>
                                            <td style="color:#2171ae">#2334343</td>
                                            <td style="font-weight:bold"> <img
                                                    src="https://shop.unicornstore.in/uploads/images/medium/34e6957bed83de93e7dc296ab0ede5c6.png"
                                                    alt=""> I Phone 13</td>
                                            <td>2</td>
                                            <td>100 CFA</td>
                                            <td>
                                                <div class='badge' style="color: green;">
                                                   Terminé
                                                </div>
                                            </td>
                                            <td>
                                                <div class='badge' style="background-color: #FFD580;color: black;">
                                                    Priority
                                                </div>
                                            </td>
                                            <td><input type="checkbox"></td>
                                        </tr> -->
                                    </tbody>
                                </table>
                            </div>
                        </div>
                        <div id="menu1" class="tab-pane p-0">
                            <br>
                            <div class="table-responsive br-6 tbl-height">
                                <table class="table table-bordered tbl-sell">
                                    <thead class="th-bg">
                                        <tr>
                                            <th>ID de la commande</th>
                                            <th>Nom</th>
                                            <th>Quantité</th>
                                            <th>Prix</th>
                                            <th>Statut de l'expedition</th>
                                            <th>Statut de la commande</th>
                                            <th>Prêt pour l'enlèvement</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr *ngFor="let d of pendinglist | filter:searchText">
                                            <td width="15%" style="color:hsl(206, 68%, 41%)"><a href="/dashboard/(seller:order_detail)?id={{d._id}}">#{{d.order_id}}</a>
                                            </td>

                                            <td width="25%">
                                                <p *ngFor=" let a of d.sellerproducts"> <img src="{{baseurl}}static/public/{{a.products.product.images[0]}}" alt="pic"> {{a.products.product.title}}

                                                </p>



                                            </td>
                                            <td style="text-align: center;">
                                                <p *ngFor=" let a of d.sellerproducts">
                                                    {{a.products.quantity}}
                                                </p>

                                            </td>


                                            <td style="text-align: center;">{{d.totalPrice | number : '1.2-2'}} CFA</td>
                                            <td style="text-align: center;">
                                                <div class='badge' style="color: orange;" *ngIf="d.sellerproducts[0].products.delivery_status == 0">
                                                   Pour procéder 
                                                </div>
                                                <div class='badge' style="color: #2171ae;" *ngIf="d.sellerproducts[0].products.delivery_status == 1">
                                                    Ramassé
                                                </div>
                                                <div class='badge' style="color: green;" *ngIf="d.sellerproducts[0].products.delivery_status == 3">
                                                   Livraison terminée
                                                </div>
                                                <div class='badge' style="color: red;" *ngIf="d.sellerproducts[0].products.delivery_status == 4">
                                                   Conducteur annulé
                                                </div>
                                            </td>

                                            <td style="text-align: center;">
                                                <div class='badge' style="color: orange;" *ngIf="d.sellerproducts[0].products.status == 0">
                                                   Pour procéder 
                                                </div>

                                                <div class='badge' style="color: green;" *ngIf="d.sellerproducts[0].products.status == 1">
                                                   Terminé
                                                </div>
                                                <div class='badge' style="color: red;" *ngIf="d.sellerproducts[0].products.status == 2">
                                                   Annulé
                                                </div>
                                            </td>
                                            <td style="text-align: center;">
                                                <div *ngFor=" let a of d.sellerproducts">
                                                    <!-- <label class="container-c">One
                                                        <input type="checkbox" checked="checked">
                                                        <span class="checkmark-c"></span>
                                                      </label> -->

                                                    <input type="checkbox" *ngIf="d.sellerproducts[0].products.status != 2" [checked]="a.products.readytopickup" [disabled]="a.products.readytopickup == true" (click)="pickup(a, d._id)">
                                                </div>

                                                <!-- [hidden]="a.products.status == 1 " -->

                                            </td>
                                        </tr>
                                        <tr *ngIf="pendinglist.length == 0">
                                            <td class="no-data" colspan="10">
                                                <i class="fa-regular fa-file"></i>
                                                <p>Aucune commande trouvée</p>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                        <div id="menu2" class="tab-pane p-0">
                            <br>
                            <div class="table-responsive br-6">
                                <table class="table table-bordered tbl-height">
                                    <thead class="th-bg">
                                        <tr>
                                            <th>ID de la commande</th>
                                            <th>Nom</th>
                                            <th>Quantité</th>
                                            <th>Prix</th>
                                            <th>Statut de l'expedition</th>
                                            <th>Statut de la commande</th>
                                            <th>Prêt pour l'enlèvement</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr *ngFor="let d of completedlist | filter:searchText">
                                            <td width="15%" style="color:hsl(206, 68%, 41%)"><a href="/dashboard/(seller:order_detail)?id={{d.order_id}}">#{{d.order_id}}</a>
                                            </td>

                                            <td width="25%">
                                                <p *ngFor=" let a of d.sellerproducts" style="display: inline-block">
                                                    <img src="https://shop.unicornstore.in/uploads/images/medium/34e6957bed83de93e7dc296ab0ede5c6.png" alt=""> {{a.products.product.title}}
                                                </p>


                                            </td>
                                            <td style="text-align: center;">
                                                <p *ngFor=" let a of d.sellerproducts">
                                                    {{a.products.quantity}}
                                                </p>

                                            </td>


                                            <td style="text-align: center;">{{d.totalPrice | number : '1.2-2'}} CFA</td>
                                            <td style="text-align: center;">
                                                <div class='badge' style="color: orange;" *ngIf="d.delivery_status == 0">
                                                   Pour procéder 
                                                </div>
                                                <div class='badge' style="color: #2171ae;" *ngIf="d.delivery_status == 1">
                                                    Shipped
                                                </div>
                                                <div class='badge' style="color: green;" *ngIf="d.delivery_status == 3">
                                                   Terminé
                                                </div>
                                                <div class='badge' style="color: red;" *ngIf="d.delivery_status == 4">
                                                   Annulé
                                                </div>
                                            </td>
                                            <td style="text-align: center;">
                                                <div class='badge' style="color: orange;" *ngIf="d.status == 0">
                                                   Pour procéder 
                                                </div>

                                                <div class='badge' style="color: green;" *ngIf="d.status == 1">
                                                   Terminé
                                                </div>
                                                <div class='badge' style="color: red;" *ngIf="d.status == 2">
                                                   Annulé
                                                </div>
                                            </td>
                                            <td style="text-align: center;">
                                                <div *ngFor=" let a of d.sellerproducts">
                                                   
                                                    <input type="checkbox" *ngIf="d.status == 2" [checked]="a.products.readytopickup" [disabled]="a.products.readytopickup == true" (click)="pickup(a, d._id)">
                                                </div>

                                            </td>
                                        </tr>
                                        <tr *ngIf="completedlist.length == 0">
                                            <td class="no-data" colspan="10">
                                                <i class="fa-regular fa-file"></i>
                                                <p>Aucune commande trouvée</p>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

</div>